## libsysactivity 0.5.4

=== CMakeLists.txt ===

cmake_minimum_required(VERSION 2.6.0)

project(libsysactivity C)
set(LIBSA_VERSION "0.5.4")
set(CMAKE_VERBOSE_MAKEFILE TRUE)
enable_testing()

if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
	set(CMAKE_INSTALL_PREFIX "/usr")
	message(STATUS "CMAKE_INSTALL_PREFIX is not set, using default value: ${CMAKE_INSTALL_PREFIX}")
endif (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

	# Compilation parameters
add_definitions(-Wall)
include(CheckCCompilerFlag) # Checking if the visibility flag is available
check_c_compiler_flag("-fvisibility=hidden" HAS_VISIBILITY_FLAG)
if (HAS_VISIBILITY_FLAG)
	add_definitions(-fvisibility=hidden)
endif (HAS_VISIBILITY_FLAG)

add_subdirectory(src)
add_subdirectory(cmake)
add_subdirectory(test EXCLUDE_FROM_ALL)
