=== src/CMakeLists.txt ===

	# Checking the OS
if (${CMAKE_SYSTEM_NAME} MATCHES "^Linux$|^FreeBSD$|^SunOS$|^NetBSD$|^OpenBSD$|^kFreeBSD$")
	message(STATUS "OS detected: ${CMAKE_SYSTEM_NAME}")
else ()
	message(FATAL_ERROR "${CMAKE_SYSTEM_NAME} is not supported")
endif ()

IF(NOT DEFINED HEADERS_INSTALLATION_DIR)
	SET(HEADERS_INSTALLATION_DIR "${CMAKE_INSTALL_PREFIX}/include/libsysactivity/")
ENDIF(NOT DEFINED HEADERS_INSTALLATION_DIR)

IF(NOT DEFINED LIB_INSTALLATION_DIR)
	SET(LIB_INSTALLATION_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
ENDIF(NOT DEFINED LIB_INSTALLATION_DIR)

	# Common headers
ADD_SUBDIRECTORY(common)

	# Specific code
INCLUDE_DIRECTORIES(common/)
if (${CMAKE_SYSTEM_NAME} STREQUAL "kFreeBSD")
	add_subdirectory("FreeBSD")
else ()
	add_subdirectory(${CMAKE_SYSTEM_NAME})
endif ()
