=== test/CMakeLists.txt ===

add_executable(cpu test_cpu.c)
target_link_libraries(cpu sysactivity pthread)

add_executable(data_storage test_data_storage.c)
target_link_libraries(data_storage sysactivity pthread)

add_executable(memory test_memory.c)
target_link_libraries(memory sysactivity pthread)

add_executable(network test_network.c)
target_link_libraries(network sysactivity pthread)

add_executable(process test_process.c)
target_link_libraries(process sysactivity pthread)

add_test(cpu cpu)
add_test(data_storage data_storage)
add_test(memory memory)
add_test(network network)
add_test(process process)
