=== src/FreeBSD/CMakeLists.txt ===

list(APPEND SPECIFIC_HDRS libsysactivity.h)
INSTALL(FILES ${SPECIFIC_HDRS} DESTINATION ${HEADERS_INSTALLATION_DIR})

FILE(GLOB LIBSA_SPECIFIC_SRCS *.c)

ADD_LIBRARY(sysactivity SHARED ${LIBSA_SPECIFIC_SRCS})
SET_TARGET_PROPERTIES(sysactivity PROPERTIES VERSION ${LIBSA_VERSION} SOVERSION 0)
if (${CMAKE_SYSTEM_NAME} STREQUAL "kFreeBSD")
	target_link_libraries(sysactivity bsd)
else ()
	target_link_libraries(sysactivity)
endif ()

INSTALL(TARGETS sysactivity LIBRARY DESTINATION ${LIB_INSTALLATION_DIR})
