=== src/NetBSD/CMakeLists.txt ===

list(APPEND SPECIFIC_HDRS libsysactivity.h)
INSTALL(FILES ${SPECIFIC_HDRS} DESTINATION ${HEADERS_INSTALLATION_DIR})

FILE(GLOB LIBSA_SPECIFIC_SRCS *.c)

ADD_LIBRARY(sysactivity SHARED ${LIBSA_SPECIFIC_SRCS})
SET_TARGET_PROPERTIES(sysactivity PROPERTIES VERSION ${LIBSA_VERSION} SOVERSION 0)
TARGET_LINK_LIBRARIES(sysactivity)

INSTALL(TARGETS sysactivity LIBRARY DESTINATION ${LIB_INSTALLATION_DIR})
