=== debian/changelog ===
libsysactivity (0.5.4-6) unstable; urgency=low

  * Fix a number of resource leaks reported by cppcheck.

 -- Niels Thykier <niels@thykier.net>  Tue, 28 Sep 2010 20:48:01 +0200

libsysactivity (0.5.4-5) unstable; urgency=low

  * Added patch to fix the issue with calculating memory on kFreeBSD
    based architectures for machines with > 4 GB RAM.
    (Closes: #594594)
  * Added patch to disable "cpu idle" test, which causes build
    failures due to false positives.

 -- Niels Thykier <niels@thykier.net>  Fri, 10 Sep 2010 12:11:25 +0200

libsysactivity (0.5.4-4) unstable; urgency=low

  * Applied patch from upstream to fix an issue with calculating memory
    on (k)FreeBSD based architectures (Closes: #593018).

 -- Niels Thykier <niels@thykier.net>  Sat, 21 Aug 2010 13:35:13 +0200

libsysactivity (0.5.4-3) unstable; urgency=low

  * Enable verbose test output.
  * Applied patch from upstream to fix an issue with reading the
    swap data. (Closes: #593018)
  * Skip the process test on Linux if the kernel is too old; fixes
    FTBFS in Ubuntu.

 -- Niels Thykier <niels@thykier.net>  Wed, 18 Aug 2010 00:08:38 +0200

libsysactivity (0.5.4-2) unstable; urgency=low

  * Added missing B-D on libkvm-dev for kfreebsd. (Closes: #591378)
  * Bumped Standards-Versions to 3.9.1 - no changes required.
  * Removed incorrect quotes in d/rules.

 -- Niels Thykier <niels@thykier.net>  Tue, 03 Aug 2010 01:46:59 +0200

libsysactivity (0.5.4-1) unstable; urgency=low

  [ Niels Thykier ]
  * New upstream release.
  * Added patch to allow removal of libdevstat-dev from B-D on
    kfreebsd architectures.
  * Backported patch to allow testing libsysactivity from the
    build directory.
  * Enabled a subset of upstream build tests.
  * Bumped Standards-Version to 3.9.0 - no changes required.

  [ Jan Hauke Rahm ]
  * Set DMUA

 -- Niels Thykier <niels@thykier.net>  Sun, 25 Jul 2010 09:34:18 +0200

libsysactivity (0.5.3+cvs20100613-1) unstable; urgency=low

  * New upstream release.
    - Pulled from CVS to deal with some non-DFSG compatible licenses.
    (Closes: #586342)
  * Removed patch applied upstream.

 -- Niels Thykier <niels@thykier.net>  Fri, 18 Jun 2010 18:06:53 +0200

libsysactivity (0.5.2-1) unstable; urgency=low

  * New upstream release.
    - Updated years in debian/copyright.
  * Pulled patch from upstream CVS to fix linking on kFreeBSD.
    (Closes: #580515) - thanks to Cyril Brulebois for triaging
    the problem.

 -- Niels Thykier <niels@thykier.net>  Tue, 18 May 2010 22:29:54 +0200

libsysactivity (0.5.1-1) unstable; urgency=low

  * Initial release. (Closes: #567500)

 -- Niels Thykier <niels@thykier.net>  Tue, 13 Apr 2010 22:19:01 +0200
