=== debian/control ===
Source: libsysactivity
Section: libs
Priority: optional
Maintainer: Niels Thykier <niels@thykier.net>
DM-Upload-Allowed: yes
Build-Depends: cmake,
               debhelper (>= 7.0.50~),
               libbsd-dev [kfreebsd-i386 kfreebsd-amd64],
               libkvm-dev [kfreebsd-i386 kfreebsd-amd64]
Build-Depends-Indep: doxygen
Standards-Version: 3.9.1
Homepage: http://sourceforge.net/projects/libsysactivity/
Vcs-Git: git://git.debian.org/collab-maint/libsysactivity.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/libsysactivity.git

Package: libsysactivity0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Retrieves statistics of the system's activity
 A lightweight library that retrieves statistics of the system's
 activity in a portable and thread safe way. In each OS that it
 supports it offers the same API for retrieving the activity of:
 .
  * hard disks
  * CPUs memory
  * processes
  * network interfaces.

Package: libsysactivity-dev
Architecture: any
Section: libdevel
Depends: libsysactivity0 (= ${binary:Version}), ${misc:Depends}
Description: Retrieves statistics of the system's activity (development headers)
 A lightweight library that retrieves statistics of the system's
 activity in a portable and thread safe way. In each OS that it
 supports it offers the same API for retrieving the activity of:
 .
  * hard disks
  * CPUs memory
  * processes
  * network interfaces.
 .
 This package contains the development header files. Non-developers
 likely have little use for this package.

Package: libsysactivity0-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libsysactivity0 (= ${binary:Version}), ${misc:Depends}
Description: Retrieves statistics of the system's activity (debug package)
 A lightweight library that retrieves statistics of the system's
 activity in a portable and thread safe way. In each OS that it
 supports it offers the same API for retrieving the activity of:
 .
  * hard disks
  * CPUs memory
  * processes
  * network interfaces.
 .
 This package contains the debug symbols. Non-developers likely have
 little use for this package.

Package: libsysactivity-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libsysactivity-dev
Description: Retrieves statistics of the system's activity (development doc)
 A lightweight library that retrieves statistics of the system's
 activity in a portable and thread safe way. In each OS that it
 supports it offers the same API for retrieving the activity of:
 .
  * hard disks
  * CPUs memory
  * processes
  * network interfaces.
 .
 This package contains the development API documentation. Non-developers
 likely have little use for this package.
