=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

# Skip data_storage test - requires that /sys is mounted
ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
    # Also disable process and network on kFreeBSD
    # part of process is not implemented and not sure
    # about the network test.
    DISABLED_TESTS:=^data_storage|process|network\$$
    ARCH=FreeBSD
else
    KERNEL_VERSION:=$(shell uname -r | cut -d '.' -f 3 | perl -ne 'print "ok" if(m/^(\d+)/ && $$1 >= 25);')
    ifeq ($(KERNEL_VERSION),ok)
        DISABLED_TESTS:=^data_storage\$$
    else
        DISABLED_TESTS:=^data_storage|process\$$
    endif
    ARCH=Linux
endif

%:
	dh $@ -Bbuild

override_dh_auto_configure:
	dh_auto_configure -Bbuild -- -DCMAKE_C_FLAGS="$(CFLAGS)" -DCMAKE_CXX_FLAGS="$(CFLAGS)" \
				-DCMAKE_SHARED_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
				-DCMAKE_MODULE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
				-DCMAKE_EXE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
				-DCMAKE_BUILD_TYPE:STRING=RelWithDebInfo \
				-DCMAKE_SKIP_RPATH:BOOL=ON
	sh debian/build-doc.sh

override_dh_auto_test:
	$(MAKE) -C build -f test/Makefile all
	cd build && LD_LIBRARY_PATH="$(CURDIR)/build/src/$(ARCH)" ctest -V --force-new-ctest-process -E "$(DISABLED_TESTS)"

override_dh_strip:
	dh_strip --dbg-package=libsysactivity0-dbg

override_dh_auto_clean:
	dh_auto_clean -Bbuild
	# Remove the doc-directories
	rm -fr doc/*/
