=== test/CMakeLists.txt ===

if (${CMAKE_SYSTEM_NAME} STREQUAL "kFreeBSD")
	include_directories(../src/FreeBSD/)
else ()
	include_directories(../src/${CMAKE_SYSTEM_NAME}/)
endif ()
include_directories(../src/common/)

foreach(TEST_NAME cpu disk memory network process swap)
	add_executable(${TEST_NAME} test_${TEST_NAME}.c)
	add_dependencies(${TEST_NAME} sysactivity)
	target_link_libraries(${TEST_NAME} sysactivity pthread)
	add_test(${TEST_NAME} ${TEST_NAME})
endforeach(TEST_NAME)
