=== debian/changelog ===
libsysactivity (0.6.2-5) unstable; urgency=low

  * Use buildflags.mk from dpkg-dev to set compiler and linker
    flags.
    - This enables hardning flags.
  * Bumped debhelper compat to 8.
  * Bumped DEP-5 revision.

 -- Niels Thykier <niels@thykier.net>  Sun, 06 Nov 2011 15:06:04 +0100

libsysactivity (0.6.2-4) unstable; urgency=low

  * Use kfreebsd-any wildcard instead of explicitly listing known
    kfreebsd architectures.  (Closes: #634728)

 -- Niels Thykier <niels@thykier.net>  Fri, 29 Jul 2011 10:46:35 +0200

libsysactivity (0.6.2-3) unstable; urgency=low

  * Upload to unstable.

 -- Niels Thykier <niels@thykier.net>  Tue, 26 Jul 2011 11:27:35 +0200

libsysactivity (0.6.2-2) experimental; urgency=low

  * Removed B-D on the gold linker, since it is not available on
    most architectures and the problem appears to have been fixed.
  * Removed DMUA flag; it was not needed for it anymore.
  * Do not build with -flto since it (for some reason) marks the
    stack as executable.

 -- Niels Thykier <niels@thykier.net>  Sat, 09 Jul 2011 13:32:27 +0200

libsysactivity (0.6.2-1) experimental; urgency=low

  * New upstream release.
    - API/ABI breakage.  Hench the upload to experimental.
  * Disabled disk and process test.  The first fails because /sys/
    is not available and the second is unreliable.
  * Use (and B-D on) the gold linker as the GNU linker fails; see
    http://lists.gnu.org/archive/html/bug-binutils/2010-12/msg00069.html
  * Bumped S-V to 3.9.2 - no changes required.
  * Used jquery.js from libjs-jquery instead of letting doxygen
    embedding a copy of it in libsysactivity-doc.

 -- Niels Thykier <niels@thykier.net>  Sat, 02 Jul 2011 12:39:46 +0200
