=== debian/control ===
--- 
+++ 
@@ -2,18 +2,18 @@
 Section: libs
 Priority: optional
 Maintainer: Niels Thykier <niels@thykier.net>
-DM-Upload-Allowed: yes
 Build-Depends: cmake,
-               debhelper (>= 7.0.50~),
-               libbsd-dev [kfreebsd-i386 kfreebsd-amd64],
-               libkvm-dev [kfreebsd-i386 kfreebsd-amd64]
+               debhelper (>= 8~),
+               dpkg-dev (>= 1.16.1~),
+               libbsd-dev [kfreebsd-any],
+               libkvm-dev [kfreebsd-any],
 Build-Depends-Indep: doxygen
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://sourceforge.net/projects/libsysactivity/
 Vcs-Git: git://git.debian.org/collab-maint/libsysactivity.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/libsysactivity.git
 
-Package: libsysactivity0
+Package: libsysactivity1
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Retrieves statistics of the system's activity
@@ -29,7 +29,7 @@
 Package: libsysactivity-dev
 Architecture: any
 Section: libdevel
-Depends: libsysactivity0 (= ${binary:Version}), ${misc:Depends}
+Depends: libsysactivity1 (= ${binary:Version}), ${misc:Depends}
 Description: Retrieves statistics of the system's activity (development headers)
  A lightweight library that retrieves statistics of the system's
  activity in a portable and thread safe way. In each OS that it
@@ -43,11 +43,11 @@
  This package contains the development header files. Non-developers
  likely have little use for this package.
 
-Package: libsysactivity0-dbg
+Package: libsysactivity1-dbg
 Architecture: any
 Section: debug
 Priority: extra
-Depends: libsysactivity0 (= ${binary:Version}), ${misc:Depends}
+Depends: libsysactivity1 (= ${binary:Version}), ${misc:Depends}
 Description: Retrieves statistics of the system's activity (debug package)
  A lightweight library that retrieves statistics of the system's
  activity in a portable and thread safe way. In each OS that it
@@ -64,7 +64,7 @@
 Package: libsysactivity-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, libjs-jquery
 Suggests: libsysactivity-dev
 Description: Retrieves statistics of the system's activity (development doc)
  A lightweight library that retrieves statistics of the system's
