## libsysactivity 0.6.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_minimum_required(VERSION 2.6.0)
 
 project(libsysactivity C)
-set(LIBSA_VERSION "0.6.2")
+set(LIBSA_VERSION "0.6.3")
 set(CMAKE_VERBOSE_MAKEFILE TRUE)
 enable_testing()
