=== debian/changelog ===
libsysactivity (0.6.3-1) unstable; urgency=low

  * New upstream release.
    - Dropped patches, fixes applied upstream.

 -- Niels Thykier <niels@thykier.net>  Mon, 04 Jun 2012 17:12:11 +0200

libsysactivity (0.6.2-7) unstable; urgency=low

  * Restrict building to linux-any and kfreebsd-any as there
    is no Hurd port of this package.
  * Remove fflush call on input stream.  It is unneeded and
    in some cases it ends up corrupting the stream state.
    Thanks to Guillem Jover for the report and patch.
    (Closes: #670192)

 -- Niels Thykier <niels@thykier.net>  Mon, 30 Apr 2012 15:33:30 +0200

libsysactivity (0.6.2-6) unstable; urgency=low

  * Pass CPPFLAGS to cmake - this enables fortify functions
    hardening.
  * Bump debhelper compat to 9.
  * Bump Standards-Version to 3.9.3 - no changes required.
  * Use -arch and -indep overrides to determine if the doc
    package is being built.  Add versioned build-depends on
    dpkg-dev 1.16.2 to ensure libsysactivity is built with a
    "build-arch capable" dpkg-buildpackage.

 -- Niels Thykier <niels@thykier.net>  Mon, 23 Apr 2012 14:05:19 +0200
