=== debian/changelog ===
libsysactivity (0.6.4-1) unstable; urgency=low

  * New upstream release.
    - Made Linux version of sa_reset_net_interfaces reload data.
      (LP: #1072398)

 -- Niels Thykier <niels@thykier.net>  Fri, 02 Nov 2012 11:35:00 +0100
