=== debian/control ===
--- 
+++ 
@@ -3,18 +3,18 @@
 Priority: optional
 Maintainer: Niels Thykier <niels@thykier.net>
 Build-Depends: cmake,
-               debhelper (>= 8~),
-               dpkg-dev (>= 1.16.1~),
+               debhelper (>= 9~),
+               dpkg-dev (>= 1.16.2~),
                libbsd-dev [kfreebsd-any],
                libkvm-dev [kfreebsd-any],
 Build-Depends-Indep: doxygen
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://sourceforge.net/projects/libsysactivity/
 Vcs-Git: git://git.debian.org/collab-maint/libsysactivity.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/libsysactivity.git
 
 Package: libsysactivity1
-Architecture: any
+Architecture: linux-any kfreebsd-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Retrieves statistics of the system's activity
  A lightweight library that retrieves statistics of the system's
@@ -27,7 +27,7 @@
   * network interfaces.
 
 Package: libsysactivity-dev
-Architecture: any
+Architecture: linux-any kfreebsd-any
 Section: libdevel
 Depends: libsysactivity1 (= ${binary:Version}), ${misc:Depends}
 Description: Retrieves statistics of the system's activity (development headers)
@@ -44,7 +44,7 @@
  likely have little use for this package.
 
 Package: libsysactivity1-dbg
-Architecture: any
+Architecture: linux-any kfreebsd-any
 Section: debug
 Priority: extra
 Depends: libsysactivity1 (= ${binary:Version}), ${misc:Depends}
