=== debian/rules ===
--- 
+++ 
@@ -30,32 +30,42 @@
 %:
 	dh $@ -Bbuild
 
-override_dh_auto_configure:
-	dh_auto_configure -Bbuild -- -DCMAKE_C_FLAGS="$(CFLAGS)" -DCMAKE_CXX_FLAGS="$(CFLAGS) " \
+override_dh_auto_configure-indep:
+	# Do nothing for indep
+
+override_dh_auto_configure-arch:
+	dh_auto_configure -Bbuild -- -DCMAKE_C_FLAGS="$(CFLAGS) $(CPPFLAGS)" \
 				-DCMAKE_SHARED_LINKER_FLAGS="$(LDFLAGS)" \
-				-DCMAKE_MODULE_LINKER_FLAGS="$(LDFLAGS)" \
 				-DCMAKE_EXE_LINKER_FLAGS="$(LDFLAGS)" \
 				-DCMAKE_BUILD_TYPE:STRING=RelWithDebInfo \
 				-DCMAKE_SKIP_RPATH:BOOL=ON -DHAS_FLTO_FLAG:BOOL=OFF
 
+# This override is not strictly required, but without it debhelper
+# will call cmake for the indep build (which is a bit wasteful :P)
+override_dh_auto_build-arch:
+	dh_auto_build
+
+override_dh_auto_build-indep:
 	sh debian/build-doc.sh
 
-override_dh_auto_test:
+override_dh_auto_test-indep:
+	# Do nothing for indep
+
+override_dh_auto_test-arch:
 	$(MAKE) -C build -f test/Makefile all
 	cd build && LD_LIBRARY_PATH="$(CURDIR)/build/src/$(ARCH)" ctest -V --force-new-ctest-process -E "$(DISABLED_TESTS)"
 
-override_dh_install:
-	dh_install
-	# check if we are building libsysactivity-doc
-	if [ -d debian/libsysactivity-doc ] ; then \
-		rm debian/libsysactivity-doc/usr/share/doc/libsysactivity-doc/api/jquery.js ; \
-		ln -s ../../../javascript/jquery/jquery.js debian/libsysactivity-doc/usr/share/doc/libsysactivity-doc/api/jquery.js ; \
-	fi
+override_dh_install-arch:
+	dh_install -a
 
-override_dh_strip:
+override_dh_install-indep:
+	dh_install -i
+	rm debian/libsysactivity-doc/usr/share/doc/libsysactivity-doc/api/jquery.js
+	ln -s ../../../javascript/jquery/jquery.js debian/libsysactivity-doc/usr/share/doc/libsysactivity-doc/api/jquery.js
+
+override_dh_strip-arch:
 	dh_strip --dbg-package=libsysactivity1-dbg
 
-override_dh_auto_clean:
-	dh_auto_clean -Bbuild
+override_dh_auto_clean-indep:
 	# Remove the doc-directories
 	rm -fr doc/*/
