## libsysactivity 0.6.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_minimum_required(VERSION 2.6.0)
 
 project(libsysactivity C)
-set(LIBSA_VERSION "0.6.4")
+set(LIBSA_VERSION "0.6.5")
 set(CMAKE_VERBOSE_MAKEFILE TRUE)
 enable_testing()
 
@@ -24,11 +24,11 @@
 if (HAS_VISIBILITY_FLAG)
 	add_definitions(-fvisibility=hidden)
 endif (HAS_VISIBILITY_FLAG)
-	# Adding the -flto flag to the compiler and linker when available
+
+	# Adding release flags
 check_c_compiler_flag("-flto" HAS_FLTO_FLAG)
 if (HAS_FLTO_FLAG)
-	add_definitions(-flto)
-	set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -flto")
+	set(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} -flto") # "Combining -flto with -g is currently experimental and expected to produce wrong results."
 endif (HAS_FLTO_FLAG)
 
 	# Adding debug flags
