=== cmake/CMakeLists.txt ===
set(FIND_PACKAGE_FILES libsysactivityConfig.cmake libsysactivityConfigVersion.cmake)
install(FILES ${FIND_PACKAGE_FILES} DESTINATION ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/cmake/libsysactivity/)
