=== test/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,6 @@
 foreach(TEST_NAME cpu disk memory network process swap)
 	add_executable(${TEST_NAME} test_${TEST_NAME}.c)
 	add_dependencies(${TEST_NAME} sysactivity)
-	target_link_libraries(${TEST_NAME} sysactivity pthread)
+	target_link_libraries(${TEST_NAME} sysactivity pthread m)
 	add_test(${TEST_NAME} ${TEST_NAME})
 endforeach(TEST_NAME)
