=== src/DragonFly/CMakeLists.txt ===

list(APPEND SPECIFIC_HDRS libsysactivity.h)
install(FILES ${SPECIFIC_HDRS} DESTINATION ${HEADERS_INSTALLATION_DIR})

file(GLOB LIBSA_SPECIFIC_SRCS *.c)
list(APPEND LIBSA_SPECIFIC_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/../FreeBSD/disk.c)
list(APPEND LIBSA_SPECIFIC_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/../FreeBSD/network.c)

add_library(sysactivity SHARED ${LIBSA_SPECIFIC_SRCS})
set_target_properties(sysactivity PROPERTIES VERSION ${LIBSA_VERSION} SOVERSION ${LIBSA_ABI_VERSION})
target_link_libraries(sysactivity kinfo)

install(TARGETS sysactivity LIBRARY DESTINATION ${LIB_INSTALLATION_DIR})
