=== src/FreeBSD/CMakeLists.txt ===

list(APPEND SPECIFIC_HDRS libsysactivity.h)
INSTALL(FILES ${SPECIFIC_HDRS} DESTINATION ${HEADERS_INSTALLATION_DIR})

FILE(GLOB LIBSA_SPECIFIC_SRCS *.c)

ADD_LIBRARY(sysactivity SHARED ${LIBSA_SPECIFIC_SRCS})
set_target_properties(sysactivity PROPERTIES VERSION ${LIBSA_VERSION} SOVERSION ${LIBSA_ABI_VERSION})
target_link_libraries(sysactivity)

INSTALL(TARGETS sysactivity LIBRARY DESTINATION ${LIB_INSTALLATION_DIR})
