=== src/Linux/CMakeLists.txt ===

list(APPEND SPECIFIC_HDRS libsysactivity.h)
install(FILES ${SPECIFIC_HDRS} DESTINATION ${HEADERS_INSTALLATION_DIR})

file(GLOB LIBSA_SPECIFIC_SRCS *.c)

ADD_LIBRARY(sysactivity SHARED ${LIBSA_SPECIFIC_SRCS})
set_target_properties(sysactivity PROPERTIES VERSION ${LIBSA_VERSION} SOVERSION ${LIBSA_ABI_VERSION})
TARGET_LINK_LIBRARIES(sysactivity)

install(TARGETS sysactivity LIBRARY DESTINATION ${LIB_INSTALLATION_DIR})
