=== src/NetBSD/CMakeLists.txt ===

list(APPEND SPECIFIC_HDRS libsysactivity.h)
INSTALL(FILES ${SPECIFIC_HDRS} DESTINATION ${HEADERS_INSTALLATION_DIR})

FILE(GLOB LIBSA_SPECIFIC_SRCS *.c)
list(APPEND LIBSA_SPECIFIC_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/../OpenBSD/network.c)
list(APPEND LIBSA_SPECIFIC_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/../OpenBSD/swap.c)
list(APPEND LIBSA_SPECIFIC_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/../OpenBSD/utils.c)

ADD_LIBRARY(sysactivity SHARED ${LIBSA_SPECIFIC_SRCS})
set_target_properties(sysactivity PROPERTIES VERSION ${LIBSA_VERSION} SOVERSION ${LIBSA_ABI_VERSION})
TARGET_LINK_LIBRARIES(sysactivity)

INSTALL(TARGETS sysactivity LIBRARY DESTINATION ${LIB_INSTALLATION_DIR})
