=== src/SunOS/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 FILE(GLOB LIBSA_SPECIFIC_SRCS *.c)
 
 ADD_LIBRARY(sysactivity SHARED ${LIBSA_SPECIFIC_SRCS})
-SET_TARGET_PROPERTIES(sysactivity PROPERTIES VERSION ${LIBSA_VERSION} SOVERSION 0)
+set_target_properties(sysactivity PROPERTIES VERSION ${LIBSA_VERSION} SOVERSION ${LIBSA_ABI_VERSION})
 TARGET_LINK_LIBRARIES(sysactivity kstat)
 
 INSTALL(TARGETS sysactivity LIBRARY DESTINATION ${LIB_INSTALLATION_DIR})
