=== src/common/CMakeLists.txt ===

FILE(GLOB LIBSA_COMMON_HDRS *.h)

INSTALL(FILES ${LIBSA_COMMON_HDRS} DESTINATION ${HEADERS_INSTALLATION_DIR})
