=== debian/changelog ===
libsysactivity (0.6.5-6) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. See #823722.
  * debian/control:
      - Bumped Standards-Version to 3.9.8.
      - Changed from cgit to git in Vcs-Browser field.
      - Updated the Vcs-* fields to use https instead of http and git.
  * debian/copyright: updated the packaging copyright years.
  * debian/patches/fix-timestamps-generated-by-doxygen: renamed to
      10_fix-timestamps-generated-by-doxygen.patch.
  * debian/rules: removed the --parallel option from dh.
  * debian/watch:
      - Bumped to version 4.
      - Removed the extra source to avoid conflicts with uscan.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 08 May 2016 00:36:37 -0300

libsysactivity (0.6.5-5) unstable; urgency=medium

  * debian/rules: disabled the tests to avoid FTBFS in some cases. Thanks to
      Daniel Schepler <dschepler@gmail.com>. (Closes: #790256)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 15 Jul 2015 18:39:07 -0300

libsysactivity (0.6.5-4) unstable; urgency=medium

  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 25 May 2015 22:28:34 -0300

libsysactivity (0.6.5-3) experimental; urgency=medium

  * Bumped Standards-Version to 3.9.6.
  * debian/copyright: updated the packaging copyright years.
  * debian/patches/fix-timestamps-generated-by-doxygen: created to fix a
      trivial issue.
  * debian/watch: added a second way to search new versions.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 26 Feb 2015 14:02:27 -0300

libsysactivity (0.6.5-2) unstable; urgency=medium

  * New maintainer. Thanks a lot to Niels Thykier, the initial maintainer,
      for your nice work over this package.
  * debian/control:
      - Added rdfind as build dependency.
      - Added libjs-jquery as dependency for libsysactivity-doc.
      - Updated the Standards-Version from 3.9.4 to 3.9.5.
      - Updated the Vcs-Browser field.
  * debian/changelog:
      - Added the copyright rights for James C. Warner.
      - Specified the 1.0 format in header.
      - Updated the packaging and upstream copyright years.
  * debian/libsysactivity-doc.links: created a link pointing to jquery.js,
        that was installed by package libjs-jquery.
  * debian/libsysactivity-doc.lintian-overrides: removed. The problem was
      fixed in d/rules.
  * debian/rules:
      - Added doc/doxygen_sqlite3.db to override_dh_auto_clean-indep target.
      - Added --parallel to dh.
      - Added the override_dh_install-indep to delete the embedded library
        jquery.js.
      - Changed from 'DEB_LDFLAGS_MAINT_APPEND' to 'DEB_BUILD_MAINT_OPTIONS'.
        It will add the extra flags requested by blhc command (to CFLAGS and
        LDFLAGS).
      - Removed the include to buildflags.mk. DH9 no longer needs this line.
      - Using rdfind command to transform the duplicated files in hardlinks.
  * debian/watch: updated to support the SourceForge.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 14 Sep 2014 15:21:48 -0300

libsysactivity (0.6.5-1) unstable; urgency=low

  * New upstream release.
  * Stop replacing the jquery.js with a symlink to Debian's
    copy in the libjs-query package.  According to the Doxygen
    maintainers this will not work since Doxygen does not
    maintain compatibility with any jQuery release except the
    one it uses.
  * Bump Standards-Version to 3.9.4 - no changes required.
  * Update the Vcs-* fields to use the canonical URLs.

 -- Niels Thykier <niels@thykier.net>  Tue, 24 Sep 2013 11:16:11 +0200
