=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: libsysactivity
 Section: libs
 Priority: optional
-Maintainer: Niels Thykier <niels@thykier.net>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: cmake,
                debhelper (>= 9~),
                dpkg-dev (>= 1.16.2~),
                libbsd-dev [kfreebsd-any],
                libkvm-dev [kfreebsd-any],
+               rdfind
 Build-Depends-Indep: doxygen
-Standards-Version: 3.9.3
-Homepage: http://sourceforge.net/projects/libsysactivity/
-Vcs-Git: git://git.debian.org/collab-maint/libsysactivity.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/libsysactivity.git
+Standards-Version: 3.9.8
+Homepage: http://www.sf.net/projects/libsysactivity
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/libsysactivity.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/libsysactivity.git
 
 Package: libsysactivity1
 Architecture: linux-any kfreebsd-any
