=== debian/watch ===
version=4
http://sf.net/libsysactivity/libsysactivity-(\d\S+)\.tar\.(?:bz2|gz|xz)
